# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cxf_formatter/version'

Gem::Specification.new do |spec|
  spec.name          = 'cxf_formatter'
  spec.version       = CxfFormatter::VERSION
  spec.authors       = ['Onno']
  spec.email         = ['onno.van.der.straaten@onknows.com']

  spec.summary       = 'Cleanup CXF generated Java classes'
  spec.description   = 'This gem can be used to cleanup and do more ' \
  'consistent formatting of generated CXF Java classes'
  spec.homepage      = 'https://rubygems.org/profiles/onknows'
  spec.license       = 'MIT'

  spec.files         = ['exe/cxf_formatter', 'lib/cxf_formatter.rb',
                        'lib/cxf_formatter/version.rb',
                        'cxf_formatter.gemspec', 'Gemfile', 'Rakefile',
                        'README.md']
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'geminabox', '~> 0.12'
  spec.add_development_dependency 'rubocop', '~> 0.25'
end
